Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.osm
Enum Natural

    java.lang.Object
      java.lang.Enum<Natural>
          org.ka2ddo.yaac.osm.Natural

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Natural>, AmenityOrWay, MaybeArea

    public enum Natural

extends java.lang.Enum<Natural>
implements MaybeArea, AmenityOrWay

This enums defines the supported types of natural structures defined by OSM. See the definition of natural on the OpenStreetMap wiki.

Enum Constant Summary
`bay`
`beach`
`cave_entrance`
`cliff`
`coastline`
`fell`
`glacier`
`grassland`
`heath`
`mud`
`peak`
`sand`
`scree`
`scrub`
`spring`
`stone`
`tree`
`user_defined`
`volcano`
`water`
`wetland`
`wood`

Method Summary
`AmenityType` | `getAmenityType()` Get amenity type associated with this enumeration; only for types that are amenities.
`boolean` | `isArea()` Indicates whether this enum type implies an area.
`static Natural` | `value(java.lang.String name)` Get the enum value associated with the string name specified.
`static Natural` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Natural[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
`WayType` | `wayType()` Report the WayType for rendering this type of Way.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### user_defined

    public static final Natural user_defined

### cliff

    public static final Natural cliff

### coastline

    public static final Natural coastline

### glacier

    public static final Natural glacier

### volcano

    public static final Natural volcano

### water

    public static final Natural water

### wetland

    public static final Natural wetland

### bay

    public static final Natural bay

### beach

    public static final Natural beach

### cave_entrance

    public static final Natural cave_entrance

### fell

    public static final Natural fell

### grassland

    public static final Natural grassland

### heath

    public static final Natural heath

### mud

    public static final Natural mud

### peak

    public static final Natural peak

### sand

    public static final Natural sand

### scree

    public static final Natural scree

### scrub

    public static final Natural scrub

### spring

    public static final Natural spring

### stone

    public static final Natural stone

### tree

    public static final Natural tree

### wood

    public static final Natural wood

Method Detail

### values

    public static Natural[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Natural c : Natural.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Natural valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### wayType

    public WayType wayType()

  Report the WayType for rendering this type of Way.

  Specified by:
    `wayType` in interface `AmenityOrWay`
  Returns:
    WayType

### getAmenityType

    public AmenityType getAmenityType()

  Get amenity type associated with this enumeration; only for types that are amenities.

  Specified by:
    `getAmenityType` in interface `AmenityOrWay`
  Returns:
    AmenityType for this type, or null if not an amenity

### isArea

    public boolean isArea()

  Indicates whether this enum type implies an area.

  Specified by:
    `isArea` in interface `MaybeArea`
  Returns:
    boolean true if Ways with this attribute value are assumed to be areas

### value

    public static Natural value(java.lang.String name)

  Get the enum value associated with the string name specified.

  Parameters:
    `name` - String to convert into an Enum
  Returns:
    Natural for the string name, or null if no match

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD